Uploaded image for project: 'Percona Server'
  1. Percona Server
  2. PS-3842

Percona Sever 5.7 cannot be built with -DWITH_LZ4=system on Ubuntu 14.04 (Trusty)

    Details

    • Type: Bug
    • Status: Done
    • Priority: Medium
    • Resolution: Done
    • Affects Version/s: 5.7.20-19
    • Fix Version/s: Not 5.5, Not 5.6, 5.7.22-22
    • Component/s: None
    • Labels:
      None

      Description

      Ubuntu 14.04 (Trusty) has too old LZ4 packages without lz4frame:
      liblz4-dev_0.0~r114-2ubuntu1_amd64.deb
      liblz4-1_0.0~r114-2ubuntu1_amd64.deb

      To fix this issue MySQL uses a newer LZ4 build from:
      https://launchpad.net/~jonathonf/+archive/ubuntu/mysql/+build/11888405
      It solves the issue with `gcc` but doesn't work with `clang-5.0` probably because apt updates also `libc` when installing clang.

        Smart Checklist

          Attachments

            Activity

              People

              • Assignee:
                przemyslaw.skibinski Przemyslaw Skibinski
                Reporter:
                przemyslaw.skibinski Przemyslaw Skibinski
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0 minutes
                  0m
                  Logged:
                  Time Spent - 3 hours, 5 minutes
                  3h 5m